Bug 36600 - progress percentage calculation errors
progress percentage calculation errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-18 20:56 EDT by Daniel Roesen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 07:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2001-04-18 20:56:27 EDT
Example:

[root@homebase redhat]# rpm -Fvh RPMS/i386/slrn-*
Preparing...         ########################################### [100%]
   1:slrn            ########################################### [ 50%]
   2:slrn-pull       ########################################### [100%]

I think I saw someone in another filing talking about seeing 101% (sounds
like rounding issue).
Comment 1 Jeff Johnson 2001-04-19 07:40:00 EDT
No it isn't rounding, it's mixing source and binary rpm's, source rpm's are
not included in the calculation.
Comment 2 Daniel Roesen 2001-04-19 07:45:24 EDT
No, there was no Source RPM involved. Just two binary RPMs.
Comment 3 Jeff Johnson 2001-04-19 08:11:29 EDT
The greater than 100% is in #35979 and has src rpm's involved.

So what is wrong with the output above, the 50%? That's a feature, as that's
the percentage of the entire transaction that is complete, in your case
100% divided by 2 packages.
Comment 4 Daniel Roesen 2001-04-19 08:19:35 EDT
Ah, OK. Thanks for clarification.

Note You need to log in before you can comment on or make changes to this bug.